# Create Terminal Payment

Create a terminal payment

Endpoint: POST /v1/terminal
Version: v1

## Request fields (application/json):

  - `terminal_id` (string, required)
    Unique identifier for the terminal
    Example: "234h2ev0i4726hij9o00"

  - `signature_required` (boolean, required)
    Flag to indicate if a signature is required

  - `merchant_id` (string, required)
    Unique identifier for the merchant
    Example: "merchant_02c7h71rf3eg396idngupsr66t"

  - `amount` (integer, required)
    Amount of the payment
    Example: 100

  - `tip` (integer, required)
    Tip amount
    Example: 1

  - `tax` (integer, required)
    Tax amount
    Example: 10

  - `debit` (boolean, required)
    Flag to indicate if terminal should allow debit cards
    Example: true

## Response 200 fields (application/json):

  - `payment_type` (string, required)
    Type of payment
    Enum: "MANUAL", "INVOICE", "TERMINAL", "SCAN_TO_PAY", "REFUND"

  - `id` (string, required)
    Unique identifier for the payment request
    Example: "preq_01h455vb4pex5vsknk084sn02q"

  - `payment_asset_url` (string, required)
    URL of the payment asset

  - `email_address` (string)
    Email address of the customer
    Example: "test@test.ai"

  - `phone_number` (string)
    Phone number of the customer

  - `amount` (integer, required)
    Amount of the payment

  - `tip` (integer)
    Tip amount

  - `tax` (integer)
    Tax amount

  - `status` (string, required)
    Status of the payment request


